## tetrinet 0.11+CVS20031026

=== Makefile ===
CC = cc

CFLAGS = -O2 -I/usr/include/ncurses -DHAVE_IPV6 -g -Wall
OBJS = sockets.o tetrinet.o tetris.o tty.o
### no xwin.o, because it isn't done yet 
# OBJS = sockets.o tetrinet.o tetris.o tty.o xwin.o

### If you want to have -server tetrinet client option, comment the two lines
### above and uncomment this instead.

# CFLAGS = -O2 -I/usr/include/ncurses -DHAVE_IPV6 -g -DBUILTIN_SERVER -Wall
# OBJS = server.o sockets.o tetrinet.o tetris.o tty.o xwin.o

########

all: tetrinet tetrinet-server

install: all
	cp -p tetrinet tetrinet-server /usr/games

clean:
	rm -f tetrinet tetrinet-server *.o

spotless: clean

binonly:
	rm -f *.[cho] Makefile
	rm -rf CVS/

########

tetrinet: $(OBJS)
	$(CC) -o $@ $(OBJS) -lncurses

tetrinet-server: server.c sockets.c tetrinet.c tetris.c server.h sockets.h tetrinet.h tetris.h
	$(CC) $(CFLAGS) -o $@ -DSERVER_ONLY server.c sockets.c tetrinet.c tetris.c

.c.o:
	$(CC) $(CFLAGS) -c $<

server.o:	server.c tetrinet.h tetris.h server.h sockets.h
sockets.o:	sockets.c sockets.h tetrinet.h
tetrinet.o:	tetrinet.c tetrinet.h io.h server.h sockets.h tetris.h
tetris.o:	tetris.c tetris.h tetrinet.h io.h sockets.h
tty.o:		tty.c tetrinet.h tetris.h io.h
### no xwin.o, because it isn't done yet 
#xwin.o:		xwin.c tetrinet.h tetris.h io.h

tetrinet.h:	io.h

## tetrinet 0.11%2BCVS20070911

=== debian/control ===
Source: tetrinet
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
Build-Depends: debhelper (>= 9~), libncurses5-dev
Standards-Version: 3.9.6
Homepage: http://tetrinet.or.cz/
Vcs-Browser: http://repo.or.cz/tetrinet.git
Vcs-Git: git://repo.or.cz/tetrinet.git

Package: tetrinet-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: textmode client for tetrinet, a multiplayer tetris-like game
 tetrinet-client is a textmode client for the multiplayer tetris version called
 tetrinet. This client is able to play both in tetrifast and the original
 version of the game. Please notice that you need at least 50 lines to be able
 to play it.

Package: tetrinet-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tetrinet-client
Description: server for tetrinet, a multiplayer tetris-like game
 tetrinet-server is a small limited server binary for the multiplayer tetris
 version called tetrinet. It supports only one playfield so at most 6 players,
 but it is good enough for a fast game and can be configured throughly through
 a ~/.tetrinet file (default written on first start).

## tetrinet 0.11%2Bgit20080905.a98fcc1

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: tetrinet
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rhonda D'Vine <rhonda@debian.org>
-Build-Depends: debhelper (>= 9~), libncurses5-dev
-Standards-Version: 3.9.6
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Rhonda D'Vine <rhonda@debian.org>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13), libncurses-dev
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/games-team/tetrinet
+Vcs-Git: https://salsa.debian.org/games-team/tetrinet.git
 Homepage: http://tetrinet.or.cz/
-Vcs-Browser: http://repo.or.cz/tetrinet.git
-Vcs-Git: git://repo.or.cz/tetrinet.git
 
 Package: tetrinet-client
 Architecture: any

## tetrinet 0.11+CVS20070911

=== debian/changelog ===
tetrinet (0.11+CVS20070911-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957872)
    - Thanks to Reiner Herrmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 20 Aug 2020 21:21:38 +0100

tetrinet (0.11+CVS20070911-2) unstable; urgency=medium

  * Switch to source format 3.0 (quilt).
  * Update my name/mail addresses.
  * Update upstream information.
  * Change debian/rules to dh style.
  * Bump Standards-Version to 3.9.6.

 -- Rhonda D'Vine <rhonda@debian.org>  Wed, 06 Jan 2016 23:46:22 +0100

tetrinet (0.11+CVS20070911-1) unstable; urgency=low

  * The "damned, I thought I have packaged that already..." release.
  * New CVS snapshot, which includes a fix for aborting if screen size is
    lower than 50 lines (closes: #286242, #213895, #360605)
  * Bumped Standards-Version to 3.7.2, no changes needed.

 -- Gerfried Fuchs <rhonda@debian.at>  Thu, 23 Aug 2007 19:53:46 +0200

tetrinet (0.11+CVS20031026-3) unstable; urgency=low

  * manpage for tetrinet-server is finished now (closes: #282958) -- there has
    always been the README in the doc directory of the package, though....
  * Fix for empty ingame talk message from CVS added.
  * Removed debian/docs cruft.
  * Fixed description of tetrinet-server.

 -- Gerfried Fuchs <alfie@debian.org>  Mon, 06 Dec 2004 23:39:23 +0100

tetrinet (0.11+CVS20031026-2) unstable; urgency=low

  * Added manpage for tetrinet-client (closes: #232542)
  * Added unfinished manpage for tetrinet-server. This is work in progress.
  * Removed menu handling, it didn't work anyway. Not possible without a
    wrapper script which I don't want to write currently.

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 23 Nov 2004 10:18:00 +0100

tetrinet (0.11+CVS20031026-1) unstable; urgency=low

  * New upstream release:
    -) closes: #216762 -- FTBFS architecture specific signal got removed

 -- Gerfried Fuchs <alfie@debian.org>  Sun, 26 Oct 2003 03:52:15 +0000

tetrinet (0.10+0.11pre1-1) unstable; urgency=low

  * Initial Release (closes: #207624)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 23 Sep 2003 17:18:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: tetrinet
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Rhonda D'Vine <rhonda@debian.org>,
-           Andreas Tille <tille@debian.org>
-Build-Depends: debhelper-compat (= 13), libncurses-dev
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/games-team/tetrinet
-Vcs-Git: https://salsa.debian.org/games-team/tetrinet.git
+Maintainer: Rhonda D'Vine <rhonda@debian.org>
+Build-Depends: debhelper (>= 9~), libncurses5-dev
+Standards-Version: 3.9.6
 Homepage: http://tetrinet.or.cz/
+Vcs-Browser: http://repo.or.cz/tetrinet.git
+Vcs-Git: git://repo.or.cz/tetrinet.git
 
 Package: tetrinet-client
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_install:
	# nop

override_dh_install:
	dh_install
	mv debian/tetrinet-client/usr/games/tetrinet debian/tetrinet-client/usr/games/tetrinet-client

# CFLAGS = -I/usr/include/ncurses -DHAVE_IPV6 -g -Wall

## tetrinet 0.11+git20080905.a98fcc1

=== Makefile ===
######## Configuration area

# Your C compiler
CC = cc

# The passed compilation flags
CFLAGS = -O2 -I/usr/include/ncurses -g -Wall -fno-builtin-log

# Whether to enable IPv6 support
IPV6 = 1

# Whether to have builtin server in the tetrinet client (available through
# -server argument) (tetrinet-server will be built always regardless this)
# BUILTIN_SERVER = 1

# If you experience random delays and server freezes when accepting new
# clients, enable this.
# NO_BRUTE_FORCE_DECRYPTION = 1


######## End of configuration area


OBJS = sockets.o tetrinet.o tetris.o tty.o

ifdef IPV6
	CFLAGS += -DHAVE_IPV6
endif
ifdef BUILTIN_SERVER
	CFLAGS += -DBUILTIN_SERVER
	OBJS += server.o
endif
ifdef NO_BRUTE_FORCE_DECRYPTION
	CFLAGS += -DNO_BRUTE_FORCE_DECRYPTION
endif


########


all: tetrinet tetrinet-server

install: all
	cp -p tetrinet tetrinet-server /usr/games

clean:
	rm -f tetrinet tetrinet-server *.o

spotless: clean

binonly:
	rm -f *.[cho] Makefile
	rm -rf CVS/


########


tetrinet: $(OBJS)
	$(CC) -o $@ $(OBJS) -lncurses

tetrinet-server: server.c sockets.c tetrinet.c tetris.c server.h sockets.h tetrinet.h tetris.h
	$(CC) $(CFLAGS) -o $@ -DSERVER_ONLY server.c sockets.c tetrinet.c tetris.c

.c.o:
	$(CC) $(CFLAGS) -c $<

server.o:	server.c tetrinet.h tetris.h server.h sockets.h
sockets.o:	sockets.c sockets.h tetrinet.h
tetrinet.o:	tetrinet.c tetrinet.h io.h server.h sockets.h tetris.h
tetris.o:	tetris.c tetris.h tetrinet.h io.h sockets.h
tty.o:		tty.c tetrinet.h tetris.h io.h

tetrinet.h:	io.h

=== debian/changelog ===
tetrinet (0.11+git20080905.a98fcc1-1) unstable; urgency=medium

  * Maintain package in Debian Games team
    Closes: #1102370
  * Point watch file to latest upstream commit
    Closes: #450322
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/copyright: DEP5
  * Build-Depends: s/libncurses5-dev/libncurses-dev/
  * Hardening

 -- Andreas Tille <tille@debian.org>  Sun, 28 Sep 2025 07:23:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
version=4

opts="mode=git,pretty=0.11+git%cd.%h" \
    git://repo.or.cz/tetrinet.git HEAD

# This only reports released version while the package refers to latest development snapshot
# http://tetrinet.or.cz/download/@PACKAGE@-(\d[\d.]+)@ARCHIVE_EXT@
